curl "https://api.nedzo.ai/v1/workspaces/19c3b12f-ec54-43ad-8686-00e921f1befd/billing/payment-methods" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "pm_1234567890abcdef",
"type": "card",
"brand": "visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2030,
"isDefault": true,
"createdAt": "2026-04-15T10:30:00Z"
}
]
Billing
List payment methods
List all Stripe payment methods attached to a workspace via the Nedzo REST API. Returns an empty array if no Stripe customer exists yet.
GET
/
workspaces
/
{workspaceId}
/
billing
/
payment-methods
curl "https://api.nedzo.ai/v1/workspaces/19c3b12f-ec54-43ad-8686-00e921f1befd/billing/payment-methods" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "pm_1234567890abcdef",
"type": "card",
"brand": "visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2030,
"isDefault": true,
"createdAt": "2026-04-15T10:30:00Z"
}
]
string
required
Workspace UUID
curl "https://api.nedzo.ai/v1/workspaces/19c3b12f-ec54-43ad-8686-00e921f1befd/billing/payment-methods" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "pm_1234567890abcdef",
"type": "card",
"brand": "visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2030,
"isDefault": true,
"createdAt": "2026-04-15T10:30:00Z"
}
]
Was this page helpful?
